欢迎光临
我们一直在努力

CentOS/Debian系统中NFS版本不兼容的解决方法

  在Debian和CentOS系统中,使用NFS出错,主要是由于NFS版本不兼容的问题,下面小编给大家介绍下CentOS/Debian中NFS版本不兼容的解决方法,希望对你有所帮助。

 CentOS/Debian系统中NFS版本不兼容的解决方法

  Debian版本号通过命令

  cat /etc/debian_version查看

  Debian默认支持vers=4,但是CentOS些老版本默认支持vers=3.因此挂载NFS时会出现以下提示信息:

  NFS: bad mount option value specified: vers=4

  mount.nfs: an incorrect mount option was specifiedt

  解决方法:

  这是由于linux和solaris10使用了不同版本的NFS导致的,solaris10默认使用的是NFS4,这导致了Solaris nfs和Linux nfs的兼容问题,可以加上参数”-o vers=3”或者nfsvers=3,vers=3来解决。

  比如在客户端运行:

  #mount -t nfs192.168.0.100:/nfsroot /mnt -o vers=3

  注:

  1.192.168.0.100是Server ip adress

  通过

  2. exportfs -r 重新加载nfs配置文件(/etc/exports)

  上面就是CentOS/Debian中NFS版本不兼容的介绍方法介绍了,只需在其中加上参数即可解决问题,也可换个兼容的NFS版本。

赞(0)
版权声明:本文采用知识共享 署名4.0国际许可协议 [BY-NC-SA] 进行授权
文章名称:《CentOS/Debian系统中NFS版本不兼容的解决方法》
文章链接:https://pc.adminn.cn/3059.html
本站属非盈利性网站,不接受任何形式广告。本站提供文章纯教程分享,给网民提供教程,文章均采集网路,如侵犯您的权益,请联系我们删除,QQ:805750011。